Bug 1316500 - OData - Request entity which does not exist return 204 instead of 404
OData - Request entity which does not exist return 204 instead of 404
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: Teiid (Show other bugs)
6.3.0
Unspecified Unspecified
unspecified Severity unspecified
: ER2
: 6.3.0
Assigned To: Van Halbert
Juraj Duráni
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 06:16 EST by Juraj Duráni
Modified: 2016-08-24 07:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-24 07:39:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker TEIID-4058 Major Resolved OData - Request entity which does not exist return 204 instead of 404 2016-05-25 09:18 EDT

  None (edit)
Description Juraj Duráni 2016-03-10 06:16:51 EST
Description of problem:
If entity with requested ID does not exist, OData service should return 404 but Teiid returns 204.

*URL:* http://localhost:8080/odata4/olingo_basic/Source/SimpleTableView(-2)

Moreover, if users define also property in the URL, Teiid returns 404, but body is neither in XML nor in JSON format (seems like generic EAP error page).

*URL:* http://localhost:8080/odata4/olingo_basic/Source/SimpleTableView(-2)/intkey

See http://docs.oasis-open.org/odata/odata/v4.0/errata02/os/complete/part1-protocol/odata-v4.0-errata02-os-part1-protocol-complete.html#_Toc406398293
Comment 1 JBoss JIRA Server 2016-03-11 09:04:20 EST
Steven Hawkins <shawkins@redhat.com> updated the status of jira TEIID-4058 to Resolved
Comment 2 Juraj Duráni 2016-05-25 09:20:47 EDT
Teiid returns 404 if entity does not exist. Verified.

Regarding generic EAP error page - this is separate issue.

Note You need to log in before you can comment on or make changes to this bug.